KRA Webhook
This document highlights the KRA webhook details.
This webhook is triggered under the following two events:
- When the KRA Upload process is completed for a KYC Application
- Whenever there is a change in the status of a KYC application in the KRA system
Endpoint
https://ind-engine.thomas.hyperverge.co/v1/configWebhook
Method
POST
Request Details
The following table provides the details of the parameters required for the Webhook's request body:
| Parameter | Mandatory or Optional | Description |
|---|---|---|
webhookUrl | Mandatory | The URL that should receive the Webhook events |
events | Mandatory | The event for which the webhook is being deployed |
Request
The following code snippet demonstrates a standard curl request for the Webhook:
curl --location POST 'https://ind-engine.thomas.hyperverge.co/v1/configWebhook' \
--header 'appid:<Enter_the_HyperVerge_appId>' \
--header 'appkey:<Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--header 'Content-Type: application/json' \
--data '{
"webhookUrl": "<The_Webhook_URL>",
"events":"<The_array_of_events>"
}'
Webhook Payload
- Standard Payload(v2)
- Detailed Payload (v1)
The following JSON code snippet demonstrates the standard Payload format received from the Webhook:
{
"statusDescription": "<Status_Description>",
"transactionId": "<Transaction_ID>",
"appId": "<App_ID>",
"eventType": "KRA_APPLICATION_STATUS",
"remarks": "<Remarks>",
"appStatus": "<App_Status_Code>",
"appUpdtStatus": "<App_Update_Status_Code>",
"eventTime": "<Event_Timestamp>"
}
The following JSON code snippet demonstrates the detailed Payload format with additional PII fields:
{
"data": {
"name": "<Name_of_the_user>",
"phoneNumber": "<Phone_Number_of_the_user>",
"panNumber": "<PAN_of_the_user>",
"emailAddress": "<Email_Address_of_the_user>",
"remarks": "Null",
"statusDescription": "<Status_of_the_KYC_Application>",
"transactionid": "<The_Unique_Transaction_ID>",
"appId": "<Client_App_ID>",
"eventType": "KRA_APPLICATION_STATUS"
}
}
Both payload formats contain the same core information structure. The standard format provides essential data for most use cases, while the detailed format includes additional PII fields for comprehensive processing.
Payload Details
The following table provides the details of the parameters returned in the Webhook's Payload:
| Parameter | Type | Description |
|---|---|---|
| data | object | The root object containing all payload fields related to the KYC application event |
| name | string | The name of the applicant whose KYC application status has been updated |
| phoneNumber | string | The contact number of the applicant |
| panNumber | string | The Permanent Account Number (PAN) of the applicant |
| emailAddress | string | The email address associated with the KYC application |
| remarks | string | The reason behind the current status of a KYC application |
| statusDescription | string | The status of the KYC application. See KYC Application Statuses for all possible values |
| transactionid | string | The unique identifier for the transaction |
| appId | string | The client-specific ID |
| eventType | string | The type of event triggered. This field is always set to KRA_APPLICATION_STATUS for KRA webhook events |
KYC Application Statuses
The following table lists all possible values for the statusDescription field in the webhook payload:
statusDescription | Description |
|---|---|
| Not Checked with respective KRA | The KRA-specific code, if returned, indicates that the user's KYC record could not be checked for that KRA database due to some failure |
| Submitted | The data required for the KYC application has been submitted |
| KRA Verified | The KYC application that has not yet been validated, due to inconsistencies in one or more of the following data fields: POA/POI data, e-mail address, phone number, PAN status and aadhaar linking status |
| Hold | This code is specific for the documents uploaded for the KYC process. If any document is unclear or unreadable by the system, this code is displayed |
| Rejected | The KYC has been rejected due to some errors with the uploaded data or documents |
| Not available | This message is displayed when:
|
| Deactivated | This status is displayed when the applicant is deceased. The KYC record has been deactivated by the KRA, and the application cannot be reactivated or progressed further |
| KRA Validated | The user's KYC is Validated. This status is assigned when the KRA can independently validate the POA/POI document with source data (such as Income Tax Department database on PAN, Aadhaar XML/DigiLocker/m-Aadhaar), and either PAN-Aadhaar linking was successful or Not Applicable, along with validated Email and/or Mobile number |
| Existing KYC Submitted | An older KYC record has been submitted but is pending verification |
| Existing KYC Verified | The previously submitted KYC has been successfully verified and is valid |
| Existing KYC hold | The older KYC record is on hold due to incomplete or incorrect documentation |
| Existing KYC Rejected | The older KYC record has been rejected due to errors in the application or mismatched documents |
| KYC REGISTERED WITH CVLMF | Indicates if the KYC is registered with CVL Mutual Funds |
| Not Checked with Multiple KRA | This code is displayed when more than one of the KRA databases can not be searched for KYC against a user's PAN |
| Invalid PAN NO Format | The 10-digit PAN is not in the CCCCCDDDDC format |
| If No value present (Blank), treat as Not available | When the status field is blank or empty, it should be treated as "Not available" status |
| Modification request submitted | The KYC modification request has been successfully submitted to the KRA and is awaiting processing |
| Modification Under Process | The KYC modification request is currently being processed |
| Modification Registered | The KYC modification has been registered with the KRA |
| Modification Hold | The KYC modification is on hold due to incomplete or incorrect documentation |
| Modification Rejected | The KYC modification has been rejected due to errors in the application or mismatched documents |
| Modification Validated | The KYC modification has been successfully validated by the KRA |